unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Excel2000, OleServer;

type
  TForm1 = class(TForm)
    ExcelApplication1: TExcelApplication;
    ExcelWorksheet1: TExcelWorksheet;
    ExcelWorkbook1: TExcelWorkbook;
    RG1: TRadioGroup;
    RG2: TRadioGroup;
    RG3: TRadioGroup;
    RG4: TRadioGroup;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button3Click(Sender: TObject);
begin
   //icid:=LOCALE_SYSTEM_DEFAULT;
 ExcelApplication1.ConnectKind:=ckNewInstance;
 ExcelApplication1.AutoQuit:=true;
 //   Excel
 ExcelApplication1.Visible[LOCALE_SYSTEM_DEFAULT]:=true;
 ExcelApplication1.AutoConnect:=true;
 ExcelWorkbook1.ConnectTo(ExcelApplication1.Workbooks.Add(EmptyParam,LOCALE_SYSTEM_DEFAULT));
 ExcelWorksheet1.ConnectTo(ExcelApplication1.ActiveWorkbook.ActiveSheet as ExcelWorkSheet);
 Button2.Enabled:=true;
 Button1.Enabled:=true;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 Button2.Enabled:=false;
 Button1.Enabled:=false;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if (RG1.ItemIndex=-1) and  (RG2.ItemIndex=-1) and  (RG3.ItemIndex=-1) and (RG4.ItemIndex=-1)
    then ShowMessage(' !!')
   else
    //  
   if RG1.ItemIndex > 1 then ExcelApplication1.Range['A1','D1'].Font.Bold:=1
    else ExcelApplication1.Range['A1','D1'].Font.Bold:=0;
if RG1.ItemIndex mod 2=1 then ExcelApplication1.Range['A1','D1'].Font.Italic:=1
    else ExcelApplication1.Range['A1','D1'].Font.Italic:=0;

  //   
     case RG2.ItemIndex of
 0: ExcelApplication1.Range['A1','D1'].HorizontalAlignment := xlLeft;
 1: ExcelApplication1.Range['A1','D1'].HorizontalAlignment := xlRight;
 2: ExcelApplication1.Range['A1','D1'].HorizontalAlignment := xlCenter;
 3: ExcelApplication1.Range['A1','D1'].HorizontalAlignment := xlJustify;
 end;
 // 
 // else
   case RG4.ItemIndex of
 0: ExcelWorksheet1.PageSetup.Orientation:=xlLandscape;//
 1: ExcelWorksheet1.PageSetup.Orientation:=xlPortrait;//
 end;
  //  
 case RG3.ItemIndex of
 0: ExcelApplication1.Range['A1','D1'].Interior.ColorIndex:=6;
 1: ExcelApplication1.Range['A1','D1'].Interior.ColorIndex:=3;
 2: ExcelApplication1.Range['A1','D1'].Interior.ColorIndex:=4;
 3: ExcelApplication1.Range['A1','D1'].Interior.ColorIndex:=5;
 end;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 RG1.ItemIndex:=-1;
 RG2.ItemIndex:=-1;
 RG3.ItemIndex:=-1;
 RG4.ItemIndex:=-1;
end;

end.
